package ch.epfl.lamp.minischeme;

abstract class Tree {
  var line: Int = _;
  var column: Int = _;
  var symbol: Symbol = _;
};
case class SNum(value: Int) extends Tree;
case class SIdent(name: String) extends Tree;
case class SList(elements: List[Tree]) extends Tree;
