package ch.epfl.lamp.minischeme;

abstract class Token {
  var line: Int = _;
  var column: Int = _;
}
case class NumberToken(value: Int) extends Token;
case class StringToken(value: String) extends Token;
case class SymbolToken(name: String) extends Token;
case class LeftParen extends Token;
case class RightParen extends Token;
case class EOF extends Token;
